### Method

# Dex Promise resolve_string

#### Declaration [src]

    void
    dex_promise_resolve_string (
      DexPromise* promise,
      char* value
    )

#### Description

No description available.

#### Parameters

`value`

  Type: `char*`

  A string to use to resolve the promise.

  The instance takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.